""" Some global counters used to generate unique names throughout the project """

_counts = {}


def get_counter(identifier):
    count = _counts.setdefault(identifier, 0)
    _counts[identifier] = _counts[identifier] + 1
    return count
